#!/usr/bin/env python3

import sys
import rroots

def main():
    arg_list = sys.argv
    if (len(arg_list) < 3):
        print("Error: Command must have at least 2 numerical arguments,")
        print("representing the coefficients of terms, ordered from the")
        print("highest power first to the constant term last.")
        return -1
    
    for arg in arg_list:
        coeffs_list = list(map(float, sys.argv[1:]))
    solver = rroots.PolySolver(coeffs_list)
    solutions = []
    count_output = solver.poly_solve(True,  False, solutions)
    
    print()
    print(str(count_output) + " solutions were found...")
    for sol in solutions:
        print(sol)

    return 0


if (__name__ == "__main__"):
    main()
